    The XSPEC compbb model: Comptonization, black body.

xscompbb
The xscompbb model is an additive model component.

The model is described at [1] .

>>> create_model_component("xscompbb", "mdl")
>>> print(mdl)

Create a component of the xscompbb model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.kT thawed 1 0.0001 200 keV mdl.kTe frozen 50 1 200 keV mdl.tau thawed 0.1 0 10 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
kT
The blackbody temperature, in keV.
kTe
The electron temperature of the hot plasma, in keV.
tau
The optical depth of the plasma.
norm
The model normalization: it is the same definition as used for the xsbbodyrad model.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelCompbb.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023